Apple iTunes < 12.10.3 Multiple Vulnerabilities (uncredentialed check)

Medium Nessus Plugin ID 132415

Synopsis

An application installed on the remote host is affected by multiple vulnerabilities

Description

The version of Apple iTunes installed on the remote Windows host is prior to 12.10.3. It is, therefore, affected by multiple vulnerabilities as referenced in the HT210793 advisory.

- In libexpat before 2.2.8, crafted XML input could fool the parser into changing from DTD parsing to document parsing too early; a consecutive call to XML_GetCurrentLineNumber (or XML_GetCurrentColumnNumber) then resulted in a heap-based buffer over-read.
(CVE-2019-15903)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Apple iTunes version 12.10.3 or later.

See Also

https://support.apple.com/en-us/HT210793

Plugin Details

Severity: Medium

ID: 132415

File Name: itunes_12_10_3_banner.nasl

Version: 1.2

Type: remote

Published: 2019/12/27

Updated: 2020/01/02

Dependencies: 20217

Risk Information

Risk Factor: Medium

CVSS Score Source: CVE-2019-15903

CVSS v2.0

Base Score: 5

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:apple:itunes

Required KB Items: installed_sw/iTunes DAAP

Exploit Ease: No known exploits are available

Patch Publication Date: 2019/12/11

Vulnerability Publication Date: 2019/12/11

Reference Information

CVE: CVE-2019-8835, CVE-2019-8844, CVE-2019-8846, CVE-2019-8848, CVE-2019-15903

APPLE-SA: HT210793, APPLE-SA-2019-12-06